<template>
  <p v-if="currentSettings.url === ''">{{ t("no_url_message") }}</p>
  <iframe v-else
          :src="currentSettings.url"
          :width="currentDimensions.widthPx"
          :height="currentDimensions.heightPx"
          allow="layout-animations 'none'; unoptimized-images 'none'; oversized-images 'none'; sync-script 'none'; sync-xhr 'none'; unsized-media 'none';"
          style="border: none"></iframe>
</template>

<script>
/**
 * @typedef {object} EmbedIframeSettings
 * @property {string} url
 */

module.exports = {
  name: "embed_iframe",
  props: {
    currentSettings: {
      /**
       *  @type {import('vue').PropType<EmbedIframeSettings>}
       */
      type: Object,
      required: true,
    },
    currentDimensions: {
      type: Object,
      required: true
    },
    sourcesConfigured: {
      type: Boolean,
      required: false
    },
    records: {
      type: Array,
      required: false
    },
    language: {
      type: String,
      required: true
    },
    locale: {
      type: String,
      required: true
    },
    backendUrl: {
      type: String,
      required: true
    },
    fetchAsset: {
      type: Function,
      required: false
    }
  },
  locales: {
    enGb: {
      no_url_message: "Please enter a URL for embedding"
    },
    deDe: {
      no_url_message: "Bitte gib eine URL zum Einbetten ein"
    },
    frFr: {
      no_url_message: "Veuillez entrer une URL pour l'intégration"
    },
    esEs: {
      no_url_message: "Introduzca una URL para incrustar"
    },
    plPl: {
      no_url_message: "Wprowadź adres URL do osadzenia"
    },
    koKr: {
      no_url_message: "삽입할 URL을 입력하세요."
    }
  }
}
</script>
